Imports PCBI.Automation
Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.IO
Imports System.Windows.Forms

Namespace Demo2WindowsFormsApplicationCSharp
	Public Class Form1
		Inherits Form

		Private components As IContainer = Nothing

		Private WithEvents button1 As Button

		Public Sub New()
			Me.InitializeComponent()
		End Sub

        Private Sub button1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button1.Click
            Me.ActivateAllSignalLayers()
        End Sub

		Private Sub ActivateAllSignalLayers()
			IAutomation.IAutomationInit()
			Dim mainWindowPCBI As IPCBIWindow
			If File.Exists("D:\tests\PCB-Investigator-Design.exe") Then
				mainWindowPCBI = IAutomation.OpenEmbeddedDesign("D:\tests\PCB-Investigator-Design.exe", False)
			Else
				Dim openDLG As OpenFileDialog = New OpenFileDialog()
				openDLG.FileName = "D:\tests\PCB-Investigator-Design.exe"
				openDLG.Title = "Please select PCB-Investigator Embedded Design"
				If openDLG.ShowDialog() <> DialogResult.OK Then
					Return
				End If
				mainWindowPCBI = IAutomation.OpenEmbeddedDesign(openDLG.FileName, False)
			End If
			Dim currentStep As IStep = mainWindowPCBI.GetCurrentStep()
			Dim matrix As IMatrix = mainWindowPCBI.GetMatrix()
			If matrix Is Nothing OrElse currentStep Is Nothing Then
				MessageBox.Show("The Demo stops, because no Embedded Design was selected.", "No Job Found", MessageBoxButtons.OK, MessageBoxIcon.Asterisk)
			Else
				mainWindowPCBI.Show()
				For Each layername As String In matrix.GetAllLayerNames()
					If matrix.GetMatrixLayerContext(layername) = MatrixLayerContext.Board Then
						If matrix.GetMatrixLayerType(layername) = MatrixLayerType.Signal Then
							Dim layerSignal As ILayer = currentStep.GetLayer(layername)
							layerSignal.EnableLayer(True)
						End If
					End If
				Next
				mainWindowPCBI.UpdateView()
			End If
		End Sub

        Protected Sub Dispose(ByVal disposing As Boolean)
            If disposing AndAlso Me.components IsNot Nothing Then
                Me.components.Dispose()
            End If
            MyBase.Dispose(disposing)
        End Sub

        Private Sub InitializeComponent()
            Me.button1 = New Button()
            MyBase.SuspendLayout()
            Me.button1.Location = New Point(12, 12)
            Me.button1.Name = "button1"
            Me.button1.Size = New Size(260, 97)
            Me.button1.TabIndex = 0
            Me.button1.Text = "Start Demo2"
            Me.button1.UseVisualStyleBackColor = True
            MyBase.AutoScaleDimensions = New SizeF(6.0F, 13.0F)
            MyBase.AutoScaleMode = AutoScaleMode.Font
            MyBase.ClientSize = New Size(284, 129)
            MyBase.Controls.Add(Me.button1)
            MyBase.Name = "Form1"
            Me.Text = "Demo 2"
            MyBase.ResumeLayout(False)
        End Sub
    End Class
End Namespace
